class CreateSessionRequest {
  Device? device;
  int? pinfl;

  CreateSessionRequest({this.device, this.pinfl});

  CreateSessionRequest.fromJson(Map<String, dynamic> json) {
    device =
    json['device'] != null ? new Device.fromJson(json['device']) : null;
    pinfl = json['pinfl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.device != null) {
      data['device'] = this.device!.toJson();
    }
    data['pinfl'] = this.pinfl;
    return data;
  }
}

class Device {
  String? deviceId;
  int? projectId;
  String? deviceName;
  String? factoryName;
  int? osType;
  String? osVersion;
  String? appVersion;
  String? firebaseId;
  String? lang;

  Device(
      {this.deviceId,
        this.projectId,
        this.deviceName,
        this.factoryName,
        this.osType,
        this.osVersion,
        this.appVersion,
        this.firebaseId,
        this.lang});

  Device.fromJson(Map<String, dynamic> json) {
    deviceId = json['deviceId'];
    projectId = json['projectId'];
    deviceName = json['deviceName'];
    factoryName = json['factoryName'];
    osType = json['osType'];
    osVersion = json['osVersion'];
    appVersion = json['appVersion'];
    firebaseId = json['firebaseId'];
    lang = json['lang'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['deviceId'] = this.deviceId;
    data['projectId'] = this.projectId;
    data['deviceName'] = this.deviceName;
    data['factoryName'] = this.factoryName;
    data['osType'] = this.osType;
    data['osVersion'] = this.osVersion;
    data['appVersion'] = this.appVersion;
    data['firebaseId'] = this.firebaseId;
    data['lang'] = this.lang;
    return data;
  }
}
